import { FieldInfo } from 'model-util-base';
/**
 * @author auto generate
 * @version 1.0
 * @date 2022-11-18 17:13
 */
export interface PresentationMenu {
    /**
    * 主键
    * @type { string }
    */
    id?: string;
    /**
    *
    * @type { string }
    */
    text?: string;
    /**
    *
    * @type { string }
    */
    level?: string;
    /**
    *
    * @type { string }
    */
    parentId?: string;
    /**
    *
    * @type { number }
    */
    sort?: number;
    /**
    * 展示类型（0-空节点; 1-PDF；2-VIDEO；）
    * @type { number }
    */
    type?: number;
    /**
    *
    * @type { string }
    */
    url?: string;
    /**
    *
    * @type { string }
    */
    param?: string;
    /**
    *
    * @type { string }
    */
    busType?: string;
    /**
    *
    * @type { string }
    */
    poster?: string;
}
export declare class PresentationMenuMI {
    static get ID(): FieldInfo;
    static get TEXT(): FieldInfo;
    static get LEVEL(): FieldInfo;
    static get PARENT_ID(): FieldInfo;
    static get SORT(): FieldInfo;
    static get TYPE(): FieldInfo;
    static get URL(): FieldInfo;
    static get PARAM(): FieldInfo;
    static get BUS_TYPE(): FieldInfo;
    static get POSTER(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2022-11-18 17:13
 */
export interface PresentationBusType {
    /**
    * 主键
    * @type { string }
    */
    id?: string;
    /**
    *
    * @type { string }
    */
    text?: string;
    /**
    *
    * @type { string }
    */
    param?: string;
    /**
    *
    * @type { number }
    */
    sort?: number;
}
export declare class PresentationBusTypeMI {
    static get ID(): FieldInfo;
    static get TEXT(): FieldInfo;
    static get PARAM(): FieldInfo;
    static get SORT(): FieldInfo;
}
